com.sun.grid.jgdi.configuration

## Interface AdvanceReservation

- All Superinterfaces:
    GEObject
  All Known Implementing Classes:
    AdvanceReservationImpl

      public interface AdvanceReservation
      extends GEObject

  Java representation of the cull object AR_Type defined in sge_all_listsL.template

  Warning: The AdvanceReservation class will not be compatible with future Sun™ Grid Engine releases.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAcl(ARA aacl)` Add a com.sun.grid.jgdi.configuration.ARA attribute.
    `void` | `addMail(MailReceiver amail)` Add a com.sun.grid.jgdi.configuration.MailReceiver attribute.
    `void` | `addMasterQueue(java.lang.String amasterQueue)` Add a java.lang.String attribute.
    `void` | `addPeRange(Range apeRange)` Add a com.sun.grid.jgdi.configuration.Range attribute.
    `void` | `addQueue(java.lang.String aqueue)` Add a java.lang.String attribute.
    `void` | `addResource(ComplexEntry aresource)` Add a com.sun.grid.jgdi.configuration.ComplexEntry attribute.
    `void` | `addXacl(ARA axacl)` Add a com.sun.grid.jgdi.configuration.ARA attribute.
    `java.lang.String` | `dump()`
    `java.lang.String` | `getAccount()` Get the value of the account attribute.
    `ARA` | `getAcl(int index)` Get a com.sun.grid.jgdi.configuration.ARA attribute at an index.
    `int` | `getAclCount()` Get the number of com.sun.grid.jgdi.configuration.ARA attributes.
    `java.util.List<ARA>` | `getAclList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.ARA attributes.
    `java.lang.String` | `getCheckpointName()` Get the value of the checkpointName attribute.
    `int` | `getDuration()` Get the value of the duration attribute.
    `int` | `getEndTime()` Get the value of the endTime attribute.
    `int` | `getErrorHandling()` Get the value of the errorHandling attribute.
    `java.lang.String` | `getGrantedPe()` Get the value of the grantedPe attribute.
    `JG` | `getGrantedSlots(int index)` Get a com.sun.grid.jgdi.configuration.JG attribute at an index.
    `int` | `getGrantedSlotsCount()` Get the number of com.sun.grid.jgdi.configuration.JG attributes.
    `java.util.List<JG>` | `getGrantedSlotsList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.JG attributes.
    `java.lang.String` | `getGroup()` Get the value of the group attribute.
    `int` | `getId()` Get the value of the id attribute.
    `MailReceiver` | `getMail(int index)` Get a com.sun.grid.jgdi.configuration.MailReceiver attribute at an index.
    `int` | `getMailCount()` Get the number of com.sun.grid.jgdi.configuration.MailReceiver attributes.
    `java.util.List<MailReceiver>` | `getMailList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.MailReceiver attributes.
    `int` | `getMailOptions()` Get the value of the mailOptions attribute.
    `java.lang.String` | `getMasterQueue(int index)` Get a java.lang.String attribute at an index.
    `int` | `getMasterQueueCount()` Get the number of java.lang.String attributes.
    `java.util.List<java.lang.String>` | `getMasterQueueList()` Get a unmodifiable list of all java.lang.String attributes.
    `java.lang.String` | `getName()` Get the value of the name attribute.
    `java.lang.String` | `getOwner()` Get the value of the owner attribute.
    `java.lang.String` | `getPe()` Get the value of the pe attribute.
    `Range` | `getPeRange(int index)` Get a com.sun.grid.jgdi.configuration.Range attribute at an index.
    `int` | `getPeRangeCount()` Get the number of com.sun.grid.jgdi.configuration.Range attributes.
    `java.util.List<Range>` | `getPeRangeList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.Range attributes.
    `java.lang.String` | `getQueue(int index)` Get a java.lang.String attribute at an index.
    `int` | `getQueueCount()` Get the number of java.lang.String attributes.
    `java.util.List<java.lang.String>` | `getQueueList()` Get a unmodifiable list of all java.lang.String attributes.
    `QueueInstance` | `getReservedQueues(int index)` Get a com.sun.grid.jgdi.configuration.QueueInstance attribute at an index.
    `int` | `getReservedQueuesCount()` Get the number of com.sun.grid.jgdi.configuration.QueueInstance attributes.
    `java.util.List<QueueInstance>` | `getReservedQueuesList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.QueueInstance attributes.
    `ComplexEntry` | `getResource(int index)` Get a com.sun.grid.jgdi.configuration.ComplexEntry attribute at an index.
    `int` | `getResourceCount()` Get the number of com.sun.grid.jgdi.configuration.ComplexEntry attributes.
    `java.util.List<ComplexEntry>` | `getResourceList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.ComplexEntry attributes.
    `ResourceUtilization` | `getResourceUtilization(int index)` Get a com.sun.grid.jgdi.configuration.ResourceUtilization attribute at an index.
    `int` | `getResourceUtilizationCount()` Get the number of com.sun.grid.jgdi.configuration.ResourceUtilization attributes.
    `java.util.List<ResourceUtilization>` | `getResourceUtilizationList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.ResourceUtilization attributes.
    `int` | `getStartTime()` Get the value of the startTime attribute.
    `int` | `getState()` Get the value of the state attribute.
    `java.lang.String` | `getStateAsString()`
    `int` | `getSubmissionTime()` Get the value of the submissionTime attribute.
    `int` | `getType()` Get the value of the type attribute.
    `int` | `getVerify()` Get the value of the verify attribute.
    `ARA` | `getXacl(int index)` Get a com.sun.grid.jgdi.configuration.ARA attribute at an index.
    `int` | `getXaclCount()` Get the number of com.sun.grid.jgdi.configuration.ARA attributes.
    `java.util.List<ARA>` | `getXaclList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.ARA attributes.
    `boolean` | `isSetAccount()` Determine if any account attribute is set
    `boolean` | `isSetAcl()` Determine if any acl attribute is set
    `boolean` | `isSetCheckpointName()` Determine if any checkpointName attribute is set
    `boolean` | `isSetDuration()` Determine if any duration attribute is set
    `boolean` | `isSetEndTime()` Determine if any endTime attribute is set
    `boolean` | `isSetErrorHandling()` Determine if any errorHandling attribute is set
    `boolean` | `isSetGrantedPe()` Determine if any grantedPe attribute is set
    `boolean` | `isSetGrantedSlots()` Determine if any grantedSlots attribute is set
    `boolean` | `isSetGroup()` Determine if any group attribute is set
    `boolean` | `isSetId()` Determine if any id attribute is set
    `boolean` | `isSetMail()` Determine if any mail attribute is set
    `boolean` | `isSetMailOptions()` Determine if any mailOptions attribute is set
    `boolean` | `isSetMasterQueue()` Determine if any masterQueue attribute is set
    `boolean` | `isSetName()` Determine if any name attribute is set
    `boolean` | `isSetOwner()` Determine if any owner attribute is set
    `boolean` | `isSetPe()` Determine if any pe attribute is set
    `boolean` | `isSetPeRange()` Determine if any peRange attribute is set
    `boolean` | `isSetQueue()` Determine if any queue attribute is set
    `boolean` | `isSetReservedQueues()` Determine if any reservedQueues attribute is set
    `boolean` | `isSetResource()` Determine if any resource attribute is set
    `boolean` | `isSetResourceUtilization()` Determine if any resourceUtilization attribute is set
    `boolean` | `isSetStartTime()` Determine if any startTime attribute is set
    `boolean` | `isSetState()` Determine if any state attribute is set
    `boolean` | `isSetSubmissionTime()` Determine if any submissionTime attribute is set
    `boolean` | `isSetType()` Determine if any type attribute is set
    `boolean` | `isSetVerify()` Determine if any verify attribute is set
    `boolean` | `isSetXacl()` Determine if any xacl attribute is set
    `boolean` | `removeAcl(ARA aacl)` Remote a specific com.sun.grid.jgdi.configuration.ARA attribute.
    `ARA` | `removeAcl(int index)` Remote a com.sun.grid.jgdi.configuration.ARA attribute at an index.
    `void` | `removeAllAcl()` Remove all com.sun.grid.jgdi.configuration.ARA attributes.
    `void` | `removeAllMail()` Remove all com.sun.grid.jgdi.configuration.MailReceiver attributes.
    `void` | `removeAllMasterQueue()` Remove all java.lang.String attributes.
    `void` | `removeAllPeRange()` Remove all com.sun.grid.jgdi.configuration.Range attributes.
    `void` | `removeAllQueue()` Remove all java.lang.String attributes.
    `void` | `removeAllResource()` Remove all com.sun.grid.jgdi.configuration.ComplexEntry attributes.
    `void` | `removeAllXacl()` Remove all com.sun.grid.jgdi.configuration.ARA attributes.
    `MailReceiver` | `removeMail(int index)` Remote a com.sun.grid.jgdi.configuration.MailReceiver attribute at an index.
    `boolean` | `removeMail(MailReceiver amail)` Remote a specific com.sun.grid.jgdi.configuration.MailReceiver attribute.
    `java.lang.String` | `removeMasterQueue(int index)` Remote a java.lang.String attribute at an index.
    `boolean` | `removeMasterQueue(java.lang.String amasterQueue)` Remote a specific java.lang.String attribute.
    `Range` | `removePeRange(int index)` Remote a com.sun.grid.jgdi.configuration.Range attribute at an index.
    `boolean` | `removePeRange(Range apeRange)` Remote a specific com.sun.grid.jgdi.configuration.Range attribute.
    `java.lang.String` | `removeQueue(int index)` Remote a java.lang.String attribute at an index.
    `boolean` | `removeQueue(java.lang.String aqueue)` Remote a specific java.lang.String attribute.
    `boolean` | `removeResource(ComplexEntry aresource)` Remote a specific com.sun.grid.jgdi.configuration.ComplexEntry attribute.
    `ComplexEntry` | `removeResource(int index)` Remote a com.sun.grid.jgdi.configuration.ComplexEntry attribute at an index.
    `boolean` | `removeXacl(ARA axacl)` Remote a specific com.sun.grid.jgdi.configuration.ARA attribute.
    `ARA` | `removeXacl(int index)` Remote a com.sun.grid.jgdi.configuration.ARA attribute at an index.
    `void` | `setAccount(java.lang.String aAccount)` Set the account attribute.
    `void` | `setAcl(int index, ARA aacl)` Set a com.sun.grid.jgdi.configuration.ARA attribute.
    `void` | `setCheckpointName(java.lang.String aCheckpointName)` Set the checkpointName attribute.
    `void` | `setDuration(int aDuration)` Set the duration attribute.
    `void` | `setEndTime(int aEndTime)` Set the endTime attribute.
    `void` | `setErrorHandling(int aErrorHandling)` Set the errorHandling attribute.
    `void` | `setGrantedPe(java.lang.String aGrantedPe)` Set the grantedPe attribute.
    `void` | `setId(int aId)` Set the id attribute.
    `void` | `setMail(int index, MailReceiver amail)` Set a com.sun.grid.jgdi.configuration.MailReceiver attribute.
    `void` | `setMailOptions(int aMailOptions)` Set the mailOptions attribute.
    `void` | `setMasterQueue(int index, java.lang.String amasterQueue)` Set a java.lang.String attribute.
    `void` | `setName(java.lang.String aName)` Set the name attribute.
    `void` | `setPe(java.lang.String aPe)` Set the pe attribute.
    `void` | `setPeRange(int index, Range apeRange)` Set a com.sun.grid.jgdi.configuration.Range attribute.
    `void` | `setQueue(int index, java.lang.String aqueue)` Set a java.lang.String attribute.
    `void` | `setResource(int index, ComplexEntry aresource)` Set a com.sun.grid.jgdi.configuration.ComplexEntry attribute.
    `void` | `setStartTime(int aStartTime)` Set the startTime attribute.
    `void` | `setSubmissionTime(int aSubmissionTime)` Set the submissionTime attribute.
    `void` | `setType(int aType)` Set the type attribute.
    `void` | `setVerify(int aVerify)` Set the verify attribute.
    `void` | `setXacl(int index, ARA axacl)` Set a com.sun.grid.jgdi.configuration.ARA attribute.

    - ### Methods inherited from interface com.sun.grid.jgdi.configuration.GEObject

      `equalsCompletely, getParent`

- - ### Method Detail

    - #### setId

          void setId(int aId)

      Set the id attribute.
      Parameters:
        `aId` - the new value for the id attribute

    - #### getId

          int getId()

      Get the value of the id attribute.
      Returns:
        the value of the id attribute

    - #### isSetId

          boolean isSetId()

      Determine if any id attribute is set
      Returns:
        `true` if the id attribute is set

    - #### setName

          void setName(java.lang.String aName)

      Set the name attribute.
      Parameters:
        `aName` - the new value for the name attribute

    - #### getName

          java.lang.String getName()

      Get the value of the name attribute.
      Specified by:
        `getName` in interface `GEObject`
      Returns:
        the value of the name attribute

    - #### isSetName

          boolean isSetName()

      Determine if any name attribute is set
      Returns:
        `true` if the name attribute is set

    - #### setAccount

          void setAccount(java.lang.String aAccount)

      Set the account attribute.
      Parameters:
        `aAccount` - the new value for the account attribute

    - #### getAccount

          java.lang.String getAccount()

      Get the value of the account attribute.
      Returns:
        the value of the account attribute

    - #### isSetAccount

          boolean isSetAccount()

      Determine if any account attribute is set
      Returns:
        `true` if the account attribute is set

    - #### getOwner

          java.lang.String getOwner()

      Get the value of the owner attribute.
      Returns:
        the value of the owner attribute

    - #### isSetOwner

          boolean isSetOwner()

      Determine if any owner attribute is set
      Returns:
        `true` if the owner attribute is set

    - #### getGroup

          java.lang.String getGroup()

      Get the value of the group attribute.
      Returns:
        the value of the group attribute

    - #### isSetGroup

          boolean isSetGroup()

      Determine if any group attribute is set
      Returns:
        `true` if the group attribute is set

    - #### setSubmissionTime

          void setSubmissionTime(int aSubmissionTime)

      Set the submissionTime attribute.
      Parameters:
        `aSubmissionTime` - the new value for the submissionTime attribute

    - #### getSubmissionTime

          int getSubmissionTime()

      Get the value of the submissionTime attribute.
      Returns:
        the value of the submissionTime attribute

    - #### isSetSubmissionTime

          boolean isSetSubmissionTime()

      Determine if any submissionTime attribute is set
      Returns:
        `true` if the submissionTime attribute is set

    - #### setStartTime

          void setStartTime(int aStartTime)

      Set the startTime attribute.
      Parameters:
        `aStartTime` - the new value for the startTime attribute

    - #### getStartTime

          int getStartTime()

      Get the value of the startTime attribute.
      Returns:
        the value of the startTime attribute

    - #### isSetStartTime

          boolean isSetStartTime()

      Determine if any startTime attribute is set
      Returns:
        `true` if the startTime attribute is set

    - #### setEndTime

          void setEndTime(int aEndTime)

      Set the endTime attribute.
      Parameters:
        `aEndTime` - the new value for the endTime attribute

    - #### getEndTime

          int getEndTime()

      Get the value of the endTime attribute.
      Returns:
        the value of the endTime attribute

    - #### isSetEndTime

          boolean isSetEndTime()

      Determine if any endTime attribute is set
      Returns:
        `true` if the endTime attribute is set

    - #### setDuration

          void setDuration(int aDuration)

      Set the duration attribute.
      Parameters:
        `aDuration` - the new value for the duration attribute

    - #### getDuration

          int getDuration()

      Get the value of the duration attribute.
      Returns:
        the value of the duration attribute

    - #### isSetDuration

          boolean isSetDuration()

      Determine if any duration attribute is set
      Returns:
        `true` if the duration attribute is set

    - #### setVerify

          void setVerify(int aVerify)

      Set the verify attribute.
      Parameters:
        `aVerify` - the new value for the verify attribute

    - #### getVerify

          int getVerify()

      Get the value of the verify attribute.
      Returns:
        the value of the verify attribute

    - #### isSetVerify

          boolean isSetVerify()

      Determine if any verify attribute is set
      Returns:
        `true` if the verify attribute is set

    - #### setErrorHandling

          void setErrorHandling(int aErrorHandling)

      Set the errorHandling attribute.
      Parameters:
        `aErrorHandling` - the new value for the errorHandling attribute

    - #### getErrorHandling

          int getErrorHandling()

      Get the value of the errorHandling attribute.
      Returns:
        the value of the errorHandling attribute

    - #### isSetErrorHandling

          boolean isSetErrorHandling()

      Determine if any errorHandling attribute is set
      Returns:
        `true` if the errorHandling attribute is set

    - #### getState

          int getState()

      Get the value of the state attribute.
      Returns:
        the value of the state attribute

    - #### isSetState

          boolean isSetState()

      Determine if any state attribute is set
      Returns:
        `true` if the state attribute is set

    - #### setCheckpointName

          void setCheckpointName(java.lang.String aCheckpointName)

      Set the checkpointName attribute.
      Parameters:
        `aCheckpointName` - the new value for the checkpointName attribute

    - #### getCheckpointName

          java.lang.String getCheckpointName()

      Get the value of the checkpointName attribute.
      Returns:
        the value of the checkpointName attribute

    - #### isSetCheckpointName

          boolean isSetCheckpointName()

      Determine if any checkpointName attribute is set
      Returns:
        `true` if the checkpointName attribute is set

    - #### getResourceList

          java.util.List<ComplexEntry> getResourceList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.ComplexEntry attributes.
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.ComplexEntry attributes

    - #### getResourceCount

          int getResourceCount()

      Get the number of com.sun.grid.jgdi.configuration.ComplexEntry attributes.
      Returns:
        The number of com.sun.grid.jgdi.configuration.ComplexEntry attributes.

    - #### getResource

          ComplexEntry getResource(int index)

      Get a com.sun.grid.jgdi.configuration.ComplexEntry attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.ComplexEntry attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.ComplexEntry attribute

    - #### addResource

          void addResource(ComplexEntry aresource)

      Add a com.sun.grid.jgdi.configuration.ComplexEntry attribute.
      Parameters:
        `aresource` - the new com.sun.grid.jgdi.configuration.ComplexEntry attribute

    - #### setResource

          void setResource(int index,
                           ComplexEntry aresource)

      Set a com.sun.grid.jgdi.configuration.ComplexEntry attribute.
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.ComplexEntry attribute
        `aresource` - the new com.sun.grid.jgdi.configuration.ComplexEntry attribute

    - #### removeAllResource

          void removeAllResource()

      Remove all com.sun.grid.jgdi.configuration.ComplexEntry attributes.

    - #### removeResource

          ComplexEntry removeResource(int index)

      Remote a com.sun.grid.jgdi.configuration.ComplexEntry attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.ComplexEntry attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.ComplexEntry attribute or `null` if no attribute at this index is stored

    - #### removeResource

          boolean removeResource(ComplexEntry aresource)

      Remote a specific com.sun.grid.jgdi.configuration.ComplexEntry attribute.
      Parameters:
        `aresource` - the com.sun.grid.jgdi.configuration.ComplexEntry attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.ComplexEntry attribute has been removed

    - #### isSetResource

          boolean isSetResource()

      Determine if any resource attribute is set
      Returns:
        `true` if the resource attribute is set

    - #### getResourceUtilizationList

          java.util.List<ResourceUtilization> getResourceUtilizationList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.ResourceUtilization attributes.
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.ResourceUtilization attributes

    - #### getResourceUtilizationCount

          int getResourceUtilizationCount()

      Get the number of com.sun.grid.jgdi.configuration.ResourceUtilization attributes.
      Returns:
        The number of com.sun.grid.jgdi.configuration.ResourceUtilization attributes.

    - #### getResourceUtilization

          ResourceUtilization getResourceUtilization(int index)

      Get a com.sun.grid.jgdi.configuration.ResourceUtilization attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.ResourceUtilization attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.ResourceUtilization attribute

    - #### isSetResourceUtilization

          boolean isSetResourceUtilization()

      Determine if any resourceUtilization attribute is set
      Returns:
        `true` if the resourceUtilization attribute is set

    - #### getQueueList

          java.util.List<java.lang.String> getQueueList()

      Get a unmodifiable list of all java.lang.String attributes.
      Returns:
        Unmodifiable list with all java.lang.String attributes

    - #### getQueueCount

          int getQueueCount()

      Get the number of java.lang.String attributes.
      Returns:
        The number of java.lang.String attributes.

    - #### getQueue

          java.lang.String getQueue(int index)

      Get a java.lang.String attribute at an index.
      Parameters:
        `index` - the index of the java.lang.String attribute which should be removed
      Returns:
        the java.lang.String attribute

    - #### addQueue

          void addQueue(java.lang.String aqueue)

      Add a java.lang.String attribute.
      Parameters:
        `aqueue` - the new java.lang.String attribute

    - #### setQueue

          void setQueue(int index,
                        java.lang.String aqueue)

      Set a java.lang.String attribute.
      Parameters:
        `index` - index of the java.lang.String attribute
        `aqueue` - the new java.lang.String attribute

    - #### removeAllQueue

          void removeAllQueue()

      Remove all java.lang.String attributes.

    - #### removeQueue

          java.lang.String removeQueue(int index)

      Remote a java.lang.String attribute at an index.
      Parameters:
        `index` - the index of the java.lang.String attribute which should be removed
      Returns:
        the removed java.lang.String attribute or `null` if no attribute at this index is stored

    - #### removeQueue

          boolean removeQueue(java.lang.String aqueue)

      Remote a specific java.lang.String attribute.
      Parameters:
        `aqueue` - the java.lang.String attribute which should be removed
      Returns:
        `true` if the java.lang.String attribute has been removed

    - #### isSetQueue

          boolean isSetQueue()

      Determine if any queue attribute is set
      Returns:
        `true` if the queue attribute is set

    - #### getGrantedSlotsList

          java.util.List<JG> getGrantedSlotsList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.JG attributes.
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.JG attributes

    - #### getGrantedSlotsCount

          int getGrantedSlotsCount()

      Get the number of com.sun.grid.jgdi.configuration.JG attributes.
      Returns:
        The number of com.sun.grid.jgdi.configuration.JG attributes.

    - #### getGrantedSlots

          JG getGrantedSlots(int index)

      Get a com.sun.grid.jgdi.configuration.JG attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.JG attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.JG attribute

    - #### isSetGrantedSlots

          boolean isSetGrantedSlots()

      Determine if any grantedSlots attribute is set
      Returns:
        `true` if the grantedSlots attribute is set

    - #### getReservedQueuesList

          java.util.List<QueueInstance> getReservedQueuesList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.QueueInstance attributes.
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.QueueInstance attributes

    - #### getReservedQueuesCount

          int getReservedQueuesCount()

      Get the number of com.sun.grid.jgdi.configuration.QueueInstance attributes.
      Returns:
        The number of com.sun.grid.jgdi.configuration.QueueInstance attributes.

    - #### getReservedQueues

          QueueInstance getReservedQueues(int index)

      Get a com.sun.grid.jgdi.configuration.QueueInstance attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.QueueInstance attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.QueueInstance attribute

    - #### isSetReservedQueues

          boolean isSetReservedQueues()

      Determine if any reservedQueues attribute is set
      Returns:
        `true` if the reservedQueues attribute is set

    - #### setMailOptions

          void setMailOptions(int aMailOptions)

      Set the mailOptions attribute.
      Parameters:
        `aMailOptions` - the new value for the mailOptions attribute

    - #### getMailOptions

          int getMailOptions()

      Get the value of the mailOptions attribute.
      Returns:
        the value of the mailOptions attribute

    - #### isSetMailOptions

          boolean isSetMailOptions()

      Determine if any mailOptions attribute is set
      Returns:
        `true` if the mailOptions attribute is set

    - #### getMailList

          java.util.List<MailReceiver> getMailList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.MailReceiver attributes.
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.MailReceiver attributes

    - #### getMailCount

          int getMailCount()

      Get the number of com.sun.grid.jgdi.configuration.MailReceiver attributes.
      Returns:
        The number of com.sun.grid.jgdi.configuration.MailReceiver attributes.

    - #### getMail

          MailReceiver getMail(int index)

      Get a com.sun.grid.jgdi.configuration.MailReceiver attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.MailReceiver attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.MailReceiver attribute

    - #### addMail

          void addMail(MailReceiver amail)

      Add a com.sun.grid.jgdi.configuration.MailReceiver attribute.
      Parameters:
        `amail` - the new com.sun.grid.jgdi.configuration.MailReceiver attribute

    - #### setMail

          void setMail(int index,
                       MailReceiver amail)

      Set a com.sun.grid.jgdi.configuration.MailReceiver attribute.
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.MailReceiver attribute
        `amail` - the new com.sun.grid.jgdi.configuration.MailReceiver attribute

    - #### removeAllMail

          void removeAllMail()

      Remove all com.sun.grid.jgdi.configuration.MailReceiver attributes.

    - #### removeMail

          MailReceiver removeMail(int index)

      Remote a com.sun.grid.jgdi.configuration.MailReceiver attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.MailReceiver attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.MailReceiver attribute or `null` if no attribute at this index is stored

    - #### removeMail

          boolean removeMail(MailReceiver amail)

      Remote a specific com.sun.grid.jgdi.configuration.MailReceiver attribute.
      Parameters:
        `amail` - the com.sun.grid.jgdi.configuration.MailReceiver attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.MailReceiver attribute has been removed

    - #### isSetMail

          boolean isSetMail()

      Determine if any mail attribute is set
      Returns:
        `true` if the mail attribute is set

    - #### setPe

          void setPe(java.lang.String aPe)

      Set the pe attribute.
      Parameters:
        `aPe` - the new value for the pe attribute

    - #### getPe

          java.lang.String getPe()

      Get the value of the pe attribute.
      Returns:
        the value of the pe attribute

    - #### isSetPe

          boolean isSetPe()

      Determine if any pe attribute is set
      Returns:
        `true` if the pe attribute is set

    - #### getPeRangeList

          java.util.List<Range> getPeRangeList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.Range attributes.
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.Range attributes

    - #### getPeRangeCount

          int getPeRangeCount()

      Get the number of com.sun.grid.jgdi.configuration.Range attributes.
      Returns:
        The number of com.sun.grid.jgdi.configuration.Range attributes.

    - #### getPeRange

          Range getPeRange(int index)

      Get a com.sun.grid.jgdi.configuration.Range attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.Range attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.Range attribute

    - #### addPeRange

          void addPeRange(Range apeRange)

      Add a com.sun.grid.jgdi.configuration.Range attribute.
      Parameters:
        `apeRange` - the new com.sun.grid.jgdi.configuration.Range attribute

    - #### setPeRange

          void setPeRange(int index,
                          Range apeRange)

      Set a com.sun.grid.jgdi.configuration.Range attribute.
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.Range attribute
        `apeRange` - the new com.sun.grid.jgdi.configuration.Range attribute

    - #### removeAllPeRange

          void removeAllPeRange()

      Remove all com.sun.grid.jgdi.configuration.Range attributes.

    - #### removePeRange

          Range removePeRange(int index)

      Remote a com.sun.grid.jgdi.configuration.Range attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.Range attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.Range attribute or `null` if no attribute at this index is stored

    - #### removePeRange

          boolean removePeRange(Range apeRange)

      Remote a specific com.sun.grid.jgdi.configuration.Range attribute.
      Parameters:
        `apeRange` - the com.sun.grid.jgdi.configuration.Range attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.Range attribute has been removed

    - #### isSetPeRange

          boolean isSetPeRange()

      Determine if any peRange attribute is set
      Returns:
        `true` if the peRange attribute is set

    - #### setGrantedPe

          void setGrantedPe(java.lang.String aGrantedPe)

      Set the grantedPe attribute.
      Parameters:
        `aGrantedPe` - the new value for the grantedPe attribute

    - #### getGrantedPe

          java.lang.String getGrantedPe()

      Get the value of the grantedPe attribute.
      Returns:
        the value of the grantedPe attribute

    - #### isSetGrantedPe

          boolean isSetGrantedPe()

      Determine if any grantedPe attribute is set
      Returns:
        `true` if the grantedPe attribute is set

    - #### getMasterQueueList

          java.util.List<java.lang.String> getMasterQueueList()

      Get a unmodifiable list of all java.lang.String attributes.
      Returns:
        Unmodifiable list with all java.lang.String attributes

    - #### getMasterQueueCount

          int getMasterQueueCount()

      Get the number of java.lang.String attributes.
      Returns:
        The number of java.lang.String attributes.

    - #### getMasterQueue

          java.lang.String getMasterQueue(int index)

      Get a java.lang.String attribute at an index.
      Parameters:
        `index` - the index of the java.lang.String attribute which should be removed
      Returns:
        the java.lang.String attribute

    - #### addMasterQueue

          void addMasterQueue(java.lang.String amasterQueue)

      Add a java.lang.String attribute.
      Parameters:
        `amasterQueue` - the new java.lang.String attribute

    - #### setMasterQueue

          void setMasterQueue(int index,
                              java.lang.String amasterQueue)

      Set a java.lang.String attribute.
      Parameters:
        `index` - index of the java.lang.String attribute
        `amasterQueue` - the new java.lang.String attribute

    - #### removeAllMasterQueue

          void removeAllMasterQueue()

      Remove all java.lang.String attributes.

    - #### removeMasterQueue

          java.lang.String removeMasterQueue(int index)

      Remote a java.lang.String attribute at an index.
      Parameters:
        `index` - the index of the java.lang.String attribute which should be removed
      Returns:
        the removed java.lang.String attribute or `null` if no attribute at this index is stored

    - #### removeMasterQueue

          boolean removeMasterQueue(java.lang.String amasterQueue)

      Remote a specific java.lang.String attribute.
      Parameters:
        `amasterQueue` - the java.lang.String attribute which should be removed
      Returns:
        `true` if the java.lang.String attribute has been removed

    - #### isSetMasterQueue

          boolean isSetMasterQueue()

      Determine if any masterQueue attribute is set
      Returns:
        `true` if the masterQueue attribute is set

    - #### getAclList

          java.util.List<ARA> getAclList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.ARA attributes.
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.ARA attributes

    - #### getAclCount

          int getAclCount()

      Get the number of com.sun.grid.jgdi.configuration.ARA attributes.
      Returns:
        The number of com.sun.grid.jgdi.configuration.ARA attributes.

    - #### getAcl

          ARA getAcl(int index)

      Get a com.sun.grid.jgdi.configuration.ARA attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.ARA attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.ARA attribute

    - #### addAcl

          void addAcl(ARA aacl)

      Add a com.sun.grid.jgdi.configuration.ARA attribute.
      Parameters:
        `aacl` - the new com.sun.grid.jgdi.configuration.ARA attribute

    - #### setAcl

          void setAcl(int index,
                      ARA aacl)

      Set a com.sun.grid.jgdi.configuration.ARA attribute.
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.ARA attribute
        `aacl` - the new com.sun.grid.jgdi.configuration.ARA attribute

    - #### removeAllAcl

          void removeAllAcl()

      Remove all com.sun.grid.jgdi.configuration.ARA attributes.

    - #### removeAcl

          ARA removeAcl(int index)

      Remote a com.sun.grid.jgdi.configuration.ARA attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.ARA attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.ARA attribute or `null` if no attribute at this index is stored

    - #### removeAcl

          boolean removeAcl(ARA aacl)

      Remote a specific com.sun.grid.jgdi.configuration.ARA attribute.
      Parameters:
        `aacl` - the com.sun.grid.jgdi.configuration.ARA attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.ARA attribute has been removed

    - #### isSetAcl

          boolean isSetAcl()

      Determine if any acl attribute is set
      Returns:
        `true` if the acl attribute is set

    - #### getXaclList

          java.util.List<ARA> getXaclList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.ARA attributes.
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.ARA attributes

    - #### getXaclCount

          int getXaclCount()

      Get the number of com.sun.grid.jgdi.configuration.ARA attributes.
      Returns:
        The number of com.sun.grid.jgdi.configuration.ARA attributes.

    - #### getXacl

          ARA getXacl(int index)

      Get a com.sun.grid.jgdi.configuration.ARA attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.ARA attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.ARA attribute

    - #### addXacl

          void addXacl(ARA axacl)

      Add a com.sun.grid.jgdi.configuration.ARA attribute.
      Parameters:
        `axacl` - the new com.sun.grid.jgdi.configuration.ARA attribute

    - #### setXacl

          void setXacl(int index,
                       ARA axacl)

      Set a com.sun.grid.jgdi.configuration.ARA attribute.
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.ARA attribute
        `axacl` - the new com.sun.grid.jgdi.configuration.ARA attribute

    - #### removeAllXacl

          void removeAllXacl()

      Remove all com.sun.grid.jgdi.configuration.ARA attributes.

    - #### removeXacl

          ARA removeXacl(int index)

      Remote a com.sun.grid.jgdi.configuration.ARA attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.ARA attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.ARA attribute or `null` if no attribute at this index is stored

    - #### removeXacl

          boolean removeXacl(ARA axacl)

      Remote a specific com.sun.grid.jgdi.configuration.ARA attribute.
      Parameters:
        `axacl` - the com.sun.grid.jgdi.configuration.ARA attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.ARA attribute has been removed

    - #### isSetXacl

          boolean isSetXacl()

      Determine if any xacl attribute is set
      Returns:
        `true` if the xacl attribute is set

    - #### setType

          void setType(int aType)

      Set the type attribute.
      Parameters:
        `aType` - the new value for the type attribute

    - #### getType

          int getType()

      Get the value of the type attribute.
      Returns:
        the value of the type attribute

    - #### isSetType

          boolean isSetType()

      Determine if any type attribute is set
      Returns:
        `true` if the type attribute is set

    - #### getStateAsString

          java.lang.String getStateAsString()

    - #### dump

          java.lang.String dump()

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.